---
title: Christmas Tree 2023
author: Victòria Agudetse and An-Chi Ho
date: Christmas Season 2023
---

Following the last Christmas activity (check it [here](Christmas/2022)), we're going to do it again, but, in parallel!

We can put multiple options in the recipe, and several atomic recipes will be created. Then, submit jobs on Nord3, one job for one atomic recipe. In the end, use `montage` to combine all the plots together into one Christmas card.

**[Steps]**  

1. Get all the code and recipe from Rsenal GitLab repo https://earth.bsc.es/gitlab/es/rsenal/-/tree/main/Christmas/2023/. Put them somewhere in Nord3, e.g., `/esarchive/scratch/`.  
2. Modify the recipe.  
3. ssh to Nord3v2, move to the directory that you saved the code.  
4. `module load R/4.1.2-foss-2019b`
4. Run this command: `bash ParallelChristmas.sh <recipe_name>.yml`
5. A PNG file will be generated where you specify in the recipe `$fileout`. You can also find the logs in `slum_logs/` and atomic recipes and plots under `santas_workshop/`, at the same level of `$fileout`.  
6. Share your Christmas card with us!  


**[Notes]**

* emoji (i.e., `$star` in the recipe) may or may not show properly depending on your environment. Currently on Nord3, the following ones can be shown:

> heart, smile, smirk, sun, sparkle, angry, sad, cat, crush, cry, blush, sweat, disappointed, grin, frown, haha, ill, meh, wink, oops, green, prank, relieved, silly, wow, victory,radioactive, biohazard, warning,yin_yang, aries, taurus, gemini, cancer, leo, virgo, libra, scorpius, sagittarius, capricorn, aquarius, pisces, medical_symbol, ...

* If the plots are not complete, check logs to see if the recipe has wrong items.

* Remember to clean `santas_workshop/` before having a new run, so the script won't take the old plots into the card.


